// =====================================================================
//  $Id: rs00.cc,v 1.3 2003/10/06 16:28:15 goiwai Exp $
//  $Name: CLDAQ-1-14-03 $
//  $Log: rs00.cc,v $
//  Revision 1.3  2003/10/06 16:28:15  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:14:23  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TRunManager.hh"
#include "TTerminalUserInterface.hh"
#include "Rs00RunAction.hh"
#include "Rs00EventAction.hh"
#include "Rs00CrateDefinition.hh"
#include "Rs00ReadoutBookDefinition.hh"
#include "Rs00ViewCommand.hh"

static const Tstring _rcpath = "rs00setup";

int main( int argc, char** argv, char** envv )
{
  TRunManager* manager = new TRunManager( new TTerminalUserInterface() );
  manager -> GetEnvironmentVariableTable().SetEnvironment( _rcpath );
  manager -> SetRunAction( new Rs00RunAction() );
  manager -> SetEventAction( new Rs00EventAction() );
  manager -> SetCrateDefinition( new Rs00CrateDefinition() );
  manager -> SetReadoutBookDefinition( new Rs00ReadoutBookDefinition() );
  manager -> SetUserCommand( new Rs00ViewCommand() );
  manager -> SessionStart();
  delete manager;
  return 0;
}
